WVUNPACK(1)

NAME
wvunpack - decodes wavpack encoded files

SYNOPSIS

wvunpack [-options] INFILE... [-o OUTFILE]

DESCRIPTION

wvunpack decodes WavPack files back to their original uncompressed form using the options provided. Unless overridden with the -o switch, the output filename will be identical to the source filename but with the original file extension replacing WavPack's “.wv” extension. It is also possible to output raw audio without headers (see --raw option). Multiple WavPack input files may be specified resulting in multiple output files, and in that case -o may be used to specify an alternate target directory. Stdin and stdout may be specified with “-”. It is also possible to export to one of the alternate file formats listed below, but in that case the information in the original headers and trailers will be lost (even if the alternate format is the same as the source format). WavPack files are generally created with the wavpack program.

  OUTPUT FILE FORMATS

    • Microsoft RIFF, extension “.wav”, force with -w or --wav, creates RF64 if > 4 GB

    • Sony Wave64, extension “.w64”, force with --w64

    • Apple Core Audio, extension “.caf”, force with --caf-be or --caf-le

    • Raw PCM or DSD, extension “.raw”, force with -r or --raw

    • Philips DSDIFF, extension “.dff”, force with --dsdiff or --dff

    • Sony DSD Stream, extension “.dsf”, force with --dsf

OPTIONS

-b
    blindly decode all stream blocks and ignore length info

-c
    do not decode audio but instead just extract cuesheet stored in APEv2 tag to stdout (equivalent to -x “cuesheet”)

-cc
    extract cuesheet stored in APEv2 tag to source-name.cue file in same directory as decoded audio file (equivalent to -xx “cuesheet=%a.cue”)

--caf-be, --caf-le
    force output to big-endian or little-endian Core Audio, extension “.caf”

-d
    delete source file if successful (use with caution!)

--dff, --dsdiff
    force output to Philips DSDIFF, DSD audio source only, extension “.dff”

--dsf
    force output to Sony DSF, DSD audio source only, extension “.dsf”

-f
    do not decode audio but simply display summary information about WavPack file to stdout in a machine-parsable format (see doc/wavpack_doc.html or cli/wvunpack.c in repository for format details)

--help
    display extended help

-i
    ignore .wvc file (forces hybrid lossy decompression)

-m
    calculate and display MD5 signature; verify if lossless

-n
    no audio decoding (use with -xx to extract tags only)

--no-utf8-convert
    leave extracted text tags in UTF-8 encoding during extraction or display

-o OUTFILE
    specify output filename (only if single source file) or target directory (must exist)

-q
    quiet (keep console output to a minimum)

-r, --raw
    force raw PCM or DSD audio decode by skipping headers & trailers, results in source-name.raw

-s
    do not decode audio but simply display summary information about WavPack file to stdout

-ss
    do not decode audio but simply display summary and tag information about WavPack file to stdout

--skip=[-][sample|hh:mm:ss.ss]
    start decoding at specified sample or time index, specifying a - causes sample/time to be relative to EOF

-t
    copy input file's time stamp to output file(s)

--until=[+|-][sample|hh:mm:ss.ss]
    stop decoding at specified sample or time index, specifying a + causes sample/time to be relative to --skip point, specifying a - causes sample/time to be relative to EOF

-v
    verify source data only (no output file created)

--version
    write program version to stdout

-w, --wav
    force output to Microsoft RIFF/RF64, extension “.wav”

--w64
    force output to Sony Wave64, extension “.w64”

-x “Field”
    do not decode audio but instead just extract the specified tag field to stdout

-xx “Field[=file]”
    extract the specified tag field to named file in same directory as decoded audio file; optional filename specification may contain %a which is replaced with the audio file base name, %t replaced with the tag field name (note: comes from data for binary tags) and %e replaced with the extension from the binary tag source file (or “txt” for text tag).

-y
    yes to overwrite warning (use with caution!)

-z[n]
    don't set (n = 0 or omitted) or set (n = 1) console title to indicate progress (leaves "WvUnpack Completed")

SEE ALSO

wavpack(1), wvgain(1), wvtag(1)

Please visit www.wavpack.com for more information

COPYRIGHT

This manual page was written by Sebastian Dröge <slomo@debian.org> and David Bryant <david@wavpack.com>. Permission is granted to copy, distribute and/or modify this document under the terms of the BSD License.

AUTHORS

Sebastian Dröge <slomo@debian.org>
    Original author

David Bryant <david@wavpack.com>
    Updates

COPYRIGHT
Copyright © 2005 Sebastian Dröge
Copyright © 2017 David Bryant